package cn.com.qmth.stmms.ms.marking.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * 评卷系统参数
 * Created by zhengmin on 2016/9/23.
 */
@Component
@ConfigurationProperties(prefix = "app.config")
public class MarkingConfig {

    /**
     * 档位误差值
     */
    private int deviation;

    /**
     * 图片保存根目录
     */
    private String imagePath;
    
    /**
     * 表示是否启用定档时数量大于半数，直接定档
     */
    private boolean majority;

    /**
     * 平均分是否非零进一
     * 是： 湖北
     * 否：其它省（暂定）
     */
    private boolean roundUp;

    public int getDeviation() {
        return deviation;
    }

    public void setDeviation(int deviation) {
        this.deviation = deviation;
    }

	public String getImagePath() {
		return imagePath;
	}

	public void setImagePath(String imagePath) {
		this.imagePath = imagePath;
	}

	public boolean isMajority() {
		return majority;
	}

	public void setMajority(boolean majority) {
		this.majority = majority;
	}

    public boolean isRoundUp() {
        return roundUp;
    }

    public void setRoundUp(boolean roundUp) {
        this.roundUp = roundUp;
    }
}
